Subject: SysV IPC

From: [email-masked]
Date: Fri, 20 Mar 92 10:48:50 -0800

Hi,

I'm trying to get POSTGRES to work under Mach at CMU. It appears from
the install manual that it requires SysV IPC stuff. Is there anyway to
turn off this dependency, or is the code REALLY dependent on SysV IPC.
If the latter, I am willing to hack up something under Mach to get
around the problem (#ifdef MACH...) but have zero experience with SysV
IPC (I have plenty experience with BSD and Mach IPC). Does anyone out
there have any experience, thoughts, comments, laughter, etc?

Cheers,
	-- Sean

------------------------------------------------------------------------------
     Sean Levy          |    n-dim Group / Engineering Design Research Center
  [email-masked]       |    Carnegie Mellon University
  +1 412 268 5226       |    5000 Forbes Ave / Pittsburgh, PA / 15221
------------------------------------------------------------------------------

---

From: postarch (Postgres Mailing Archive)
Date: Mon, 30 Mar 92 11:41:32 PST

> there have any experience, thoughts, comments, laughter, etc?

The code is *very* dependent on SysV shared memory, the buffer pool lives
there as well as spin locks for critical sections (if you have a TAS
instruction).  If you have TAS then you don't need SysV semaphores, but
you have to come up with a hack to simulate shared memory.  We had a guy
here trying to port postgres to a NeXT who was going to use the mmap facility.

Rumor has it that someone at CMU has already written code to simulate SysV
shared memory so you might ask around...

Jeff Meredith
[email-masked]